Announcement Announcement Module
Collapse
No announcement yet.
"JavaMailSenderImpl cannot be resolved to a type" after switching to 4.0.1 Release Page Title Module
Move Remove Collapse
This topic is closed
X
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • "JavaMailSenderImpl cannot be resolved to a type" after switching to 4.0.1 Release

    Hi Guys,

    I have developed MVC apps with 3.1.1 Framework Version, now I want to switch to 4.0.1.
    I am using Maven to handle all the dependencies.So when I change the version in my pom.xml, I get compilation error JavaMailSenderImpl could not be resolved to type. Also I am not able to locate package org.springframework.mail.javamail.JavaMailSenderIm pl in the jars.
    But from docs it looks like this package is not removed in latest version.
    So is this package is removed in latest 4.0.1?
    Docs URL - http://docs.spring.io/spring/docs/4....enderImpl.html

    So do you have any idea why this issue is there?
    Any help will be much appreciated.
    Last edited by vishalpawale123; Feb 11th, 2014, 12:37 PM.

  • #2
    Added artifact for context-support & issues is fixed now.

    Comment

    Working...
    X